- 积分
- 836
- 明经币
- 个
- 注册时间
- 2003-10-16
- 在线时间
- 小时
- 威望
-
- 金钱
- 个
- 贡献
-
- 激情
-
|
转角标注
Public Sub Align_Draw(aa0, aa1, aa2, bb0, bb1, bb2 As Double, locLongAdept, locWideAdept As Double, angle As Double, textIn As Double)
Dim dimObj As AcadDimAligned
Dim location(0 To 2) As Double
Dim rotAngle As Double
Dim startPoint(0 To 2) As Double
Dim endPoint(0 To 2) As Double
rotAngle = angle
rotAngle = rotAngle * 3.1415926 / 180#
AcadApp.ActiveDocument.ActiveLayer = enn(8)
startPoint(0) = aa0
startPoint(1) = aa1
startPoint(2) = aa2
endPoint(0) = bb0
endPoint(1) = bb1
endPoint(2) = bb2
location(0) = startPoint(0) + locLongAdept
location(1) = startPoint(1) + locWideAdept
location(2) = 0
Set dimObj = AcadApp.ActiveDocument.ModelSpace.AddDimAligned(startPoint, endPoint, location)
dimObj.TextOverride = textIn
dimObj.ArrowheadSize = 3.5
dimObj.TextHeight = 3.5
dimObj.VerticalTextPosition = acAbove
dimObj.TextRotation = rotAngle
dimObj.Update
End Sub
调用函数Align_Draw Point_C(0), Point_C(1), Point_C(2), Point_D(0), Point_D(1), Point_D(2), 15, 0, 90, wt_wide
请问怎样将垂直方向的标注放到标注线上方
我只能将它放在标注线的中间 |
|